Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11.ac
Class PasswordProtectedTransportClass

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v11.ac.AuthenticationContextStatement
oracle.security.xmlsec.liberty.v11.ac.PasswordProtectedTransportClass`

public class PasswordProtectedTransportClass
extends AuthenticationContextStatement

Class representing the Liberty authentication context `Password-ProtectedTransport` class.

Since:
  1.0

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`PasswordProtectedTransportClass(org.w3c.dom.Document owner)` Creates a new `PasswordProtectedTransportClass`.
`PasswordProtectedTransportClass(org.w3c.dom.Document owner, java.lang.String id)` Creates a new `PasswordProtectedTransportClass`.
`PasswordProtectedTransportClass(org.w3c.dom.Element element)` Creates a new `PasswordProtectedTransportClass` object that wraps the given `org.w3c.dom.Element` object.
`PasswordProtectedTransportClass(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `PasswordProtectedTransportClass` object that wraps the given Element object.

Method Summary
`protected void` | `initialize()` Initializes the authentication context class object.
`protected boolean` | `isValidAttributeValue(java.lang.String value, java.lang.String attrName, java.lang.String attrNSURI, oracle.security.xmlsec.util.XMLElement element)` Returns `true` if the given value is valid for the given attribute of the given element for this authentication context class, or `false` otherwise.

Methods inherited from class oracle.security.xmlsec.liberty.v11.ac.AuthenticationContextStatement
`createAuthenticationMethod, createAuthenticator, createAuthenticatorTransportProtocol, createDeactivationCallCenter, createDigSig, createGeneration, createGoverningAgreementRef, createGoverningAgreements, createHTTP, createIdentification, createIPSec, createKeyActivation, createKeyStorage, createLength, createMobileAuthCard, createMobileDevice, createMobileNetwork, createOperationalProtection, createPassword, createPhysicalVerification, createPreviousSession, createPrincipalAuthenticationMechanism, createPrivateKeyProtection, createSecurityAudit, createSharedKeyProtection,`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordProtectedTransportClass

    public PasswordProtectedTransportClass(org.w3c.dom.Element element)

  Creates a new `PasswordProtectedTransportClass` object that wraps the given `org.w3c.dom.Element` object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object. This element must be an `AuthenticationContextStatement` element in the Liberty authentication context namespace.

### PasswordProtectedTransportClass

    public PasswordProtectedTransportClass(org.w3c.dom.Element element,
                                           java.lang.String systemId)

  Creates a new `PasswordProtectedTransportClass` object that wraps the given Element object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object. This element must be an `AuthenticationContextStatement` element in the Liberty authentication context namespace.
  `systemId` - The URI string system ID for the `AuthenticationContextStatement`.

### PasswordProtectedTransportClass

    public PasswordProtectedTransportClass(org.w3c.dom.Document owner)

  Creates a new `PasswordProtectedTransportClass`.
Parameters:
  `owner` - The owner document for the underlying AuthenticationContextStatement element.

### PasswordProtectedTransportClass

    public PasswordProtectedTransportClass(org.w3c.dom.Document owner,
                                           java.lang.String id)
                                    throws AuthenticationContextException

  Creates a new `PasswordProtectedTransportClass`.
Parameters:
  `owner` - The owner document for the underlying AuthenticationContextStatement element.
  `id` - The `ID` attribute.
Throws:
  `AuthenticationContextException` - If the `ID` value is invalid for this authentication context class.

Method Detail

### initialize

    protected void initialize()

  Initializes the authentication context class object.
  Specified by:
    `initialize` in class `AuthenticationContextStatement`

### isValidAttributeValue

    protected boolean isValidAttributeValue(java.lang.String value,
                                            java.lang.String attrName,
                                            java.lang.String attrNSURI,
                                            oracle.security.xmlsec.util.XMLElement element)

  Returns `true` if the given value is valid for the given attribute of the given element for this authentication context class, or `false` otherwise.
  Overrides:
    `isValidAttributeValue` in class `AuthenticationContextStatement`
  Parameters:
    `value` - The attribute value.
    `attrName` - The attributeName.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.